quickie_post_install(1)

NAME
quickie_post_install - supplementary installation operations

SYNOPSIS
quickie_post_install [ --auto | --cgi | --var ]
quickie_post_install -Help
quickie_post_install -VERSion

DESCRIPTION
The quickie_post_install program is used to perform some operations after the Quickie package has been installed in order for your web server to be able to access the quickie(1) CGI program and it's data.

If no options are specified, a descriptions of the necessary operations will be printed, but none of those operations will be performed.

If you want the operations to be performed, you must secify one of the options below. Note that in most cases you will have to be root to perform these operations.

OPTIONS
The following options are understood:

-Cgi-bin
    Perform the operations necessary to locate the appropriate cgi-bin directory, and install the quickie(1) program in that directory.

-Local-state-dir
    Perform the operations necessary to change the ownership of the files in the quickie(1) data directory to be that of the user which executes the HTTP server.

-AUTOmatic
    Perform both of the above operations.

-Help
    Provide some help with using the quickie_post_install(1) program.

-VERSion
    Print the version of the quickie_post_install(1) program being executed.

All other options will produce a diagnostic error.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for quickie_post_install are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The quickie_post_install command will exit with a status of 1 on any error. The quickie_post_install command will only exit with a status of 0 if there are no errors.

COPYRIGHT
quickie_post_install version 1.1
Copyright (C) 2005, 2006 Peter Miller;
All rights reserved.

The quickie_post_install program comes with ABSOLUTELY NO WARRANTY; for details use the 'quickie_post_install -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'quickie_post_install -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/